Bug 996845 - Non-informative failure message when failing Download/Sync
Non-informative failure message when failing Download/Sync
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 02:47 EDT by Ronen Hod
Modified: 2014-12-14 19:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:16:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronen Hod 2013-08-14 02:47:19 EDT
Description of problem:

Several times a day I run "File -> Offline -> Download/Sync now".

I have many folders, and from time to time it stops and gives me the message
"The operation failed because another operation is using the folder. Please wait for that operation to finish and then try again."

Version-Release number of selected component (if applicable):

17.0.7

How reproducible:

For me, almost always.

Expected results:

Preferably
1. Do not fail - Actually, there is no reason for this failure. Once I click on the folder it does sync without problems
2. Continue working and give a single message at the end (with the list of failed folders)
3. Just add the name of the failed folder, so I can download it manually.

BTW, I would appreciate it if "Get-mail" will download everything.

Thanks, Ronen.
Comment 1 Martin Stransky 2013-08-30 08:31:07 EDT
What does the Activity Manager show? (Tools -> Activity Manager). There should be some ongoing activity here.
Comment 2 Ronen Hod 2013-09-01 04:30:04 EDT
(In reply to Martin Stransky from comment #1)
> What does the Activity Manager show? (Tools -> Activity Manager). There
> should be some ongoing activity here.

Nothing.
I run it twice, the first time synchronized everything (with 5 failures). Next I cleard the activity manager and synched again. It also failed five times, but the activity manager remained totaly blank.
Comment 3 Martin Stransky 2013-09-02 06:21:19 EDT
Okay. Can you please test it with an upstream binary, from mozilla.com? We need to check if it's something Fedora specific.
Comment 4 Ronen Hod 2013-09-02 08:28:24 EDT
Since it is the same version as mine 17.0.8, I see little value in installing it.
I believe that it will be easy to locate the error message that I mentioned in the bug's description inside the code, and see that it does not tell which folder is the problematic one.

Thanks, Ronen.
Comment 5 Martin Stransky 2013-10-15 08:58:21 EDT
As you can see, the message: 

"The operation failed because another operation is using the folder. Please wait for that operation to finish and then try again." 

does not say which operation holds the lock. This message is just a generic one, you will get the same message when your folders downloaded, when filers are applied, when folders are compressed and so on.

Generally the folder is locked (or the lock has been left here) but we don't know which operation causes that.
Comment 6 Fedora End Of Life 2013-12-21 09:28:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:16:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.